package org.jeecg.modules.apiUtils;

import java.text.SimpleDateFormat;
import java.util.Date;

public class CommonUtils {

    //获取当前时间
    public static Date getCurrentTime(){
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Date now = new Date();
        String formattedDate = sdf.format(now);
//        System.out.println(now); // 输出格式化后的当前时间
//        System.out.println(formattedDate); // 输出格式化后的当前时间
        return now;
    }

    //获取当前时间
    public static String getCurrentTimeFormat(){
        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddHHmmssSSS");
        Date now = new Date();
        String formattedDate = sdf.format(now);
//        System.out.println(now); // 输出格式化后的当前时间
//        System.out.println(formattedDate); // 输出格式化后的当前时间
        return formattedDate;
    }

    public static void main(String[] args) {
        System.out.println(getCurrentTimeFormat());
    }

}
